%define ghc_ver %(ghc --numeric-version)
%define pkg_name %(echo %name | sed "s|^ghc-||")

Name:          ghc-conduit-extra
Version:       1.3.6
Release:       1mamba
Summary:       GHC conduit-extra: Batteries included conduit: adapters for common libraries
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://hackage.haskell.org/package/%{pkg_name}
Source:        https://hackage.haskell.org/package/conduit-extra-%{version}/conduit-extra-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-async-devel
BuildRequires: ghc-attoparsec-devel
BuildRequires: ghc-bitvec-devel
BuildRequires: ghc-conduit-devel
BuildRequires: ghc-hashable-devel
BuildRequires: ghc-integer-logarithms-devel
BuildRequires: ghc-libs
BuildRequires: ghc-mono-traversable-devel
BuildRequires: ghc-network-devel
BuildRequires: ghc-primitive-devel
BuildRequires: ghc-random-devel
BuildRequires: ghc-resourcet-devel
BuildRequires: ghc-scientific-devel
BuildRequires: ghc-split-devel
BuildRequires: ghc-splitmix-devel
BuildRequires: ghc-streaming-commons-devel
BuildRequires: ghc-typed-process-devel
BuildRequires: ghc-unliftio-core-devel
BuildRequires: ghc-unordered-containers-devel
BuildRequires: ghc-vector-algorithms-devel
BuildRequires: ghc-vector-devel
BuildRequires: ghc-vector-stream-devel
BuildRequires: ghc-zlib-devel
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: ghc
BuildRequires: ghc-rpm-macros
Requires:      ghc = %{ghc_ver}

%description
%{summary}.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{?epoch:%epoch:}%{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{?epoch:%epoch:}%{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n conduit-extra-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
#%doc CHANGELOG.markdown README.markdown

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE
%endif

%changelog
* Sun Dec 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.6-1mamba
- package created using the webbuild interface
